- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
KnapParams Class Reference

`#include <KnapParams.h>`

Inheritance diagram for KnapParams:
[legend]
Collaboration diagram for KnapParams:
[legend]

## Public Types
enum | chrParams { chrDummy, endOfChrParams }
| Character parameters. More...
enum | intParams { intDummy, endOfIntParams }
| Integer paramters. More...
enum | dblParams { dblDummy, endOfDblParams }
| Double parameters. More...
enum | strParams { strDummy, endOfStrParams }
| String parameters. More...
enum | strArrayParams { strArrayDummy, endOfStrArrayParams }
| There are no string array parameters. More...

## Public Member Functions
virtual void | createKeywordList ()
| Method for creating the list of keyword looked for in the parameter file. More...
virtual void | setDefaultEntries ()
| Method for setting the default values for the parameters. More...
void | setEntry (const chrParams key, const char *val)
| char* is true(1) or false(0), not used More...
void | setEntry (const chrParams key, const char val)
| char is true(1) or false(0), not used More...
void | setEntry (const chrParams key, const bool val)
| This method is the one that ever been used. More...
void | setEntry (const intParams key, const char *val)
void | setEntry (const intParams key, const int val)
void | setEntry (const dblParams key, const char *val)
void | setEntry (const dblParams key, const double val)
void | setEntry (const strParams key, const char *val)
void | setEntry (const strArrayParams key, const char *val)
Constructors.
| KnapParams ()
| The default constructor creates a parameter set with from the template argument structure. More...
Query methods
For user application: Following code are do NOT need to change. The reason can not put following functions in base class `AlpsParameterSet` is that `chrParams` and `endOfChrParams` etc., are NOT declared in base class. The members of the parameter set can be queried for using the overloaded entry() method. Using the example in the class documentation the user can get a parameter with the "<code>param.entry(USER_par::parameter_name)</code>" expression.
char | entry (const chrParams key) const
int | entry (const intParams key) const
double | entry (const dblParams key) const
const std::string & | entry (const strParams key) const
const std::vector< std::string > & | entry (const strArrayParams key) const
Packing/unpacking methods
void | pack (AlpsEncoded &buf)
| Pack the parameter set into the buffer (AlpsEncoded is used as buffer Here). More...
void | unpack (AlpsEncoded &buf)
| Unpack the parameter set from the buffer. More...
Public Member Functions inherited from AlpsParameterSet
void | setEntry (const AlpsParameter key, const char *val)
| First, there is the assignment operator that sets the whole parameter set at once. More...
void | readFromStream (std::istream &parstream)
| Read the parameters from the stream specified in the argument. More...
void | readFromFile (const char *paramfile)
| Read parameters from a file. More...
void | readFromArglist (const int argnum, const char *const *arglist)
| Read parameters from the command line. More...
void | writeToStream (std::ostream &outstream) const
| Write keyword-value pairs to the stream specified in the argument. More...
| AlpsParameterSet (int c, int i, int d, int s, int sa)
| The constructor allocate memory for parameters. More...
virtual | ~AlpsParameterSet ()
| The destructor deletes all data members. More...

## Additional Inherited Members
Protected Attributes inherited from AlpsParameterSet
std::vector< std::pair < std::string, AlpsParameter > > | keys_
| The keyword, parameter pairs. More...
std::vector< std::string > | obsoleteKeys_
| list of obsolete keywords. More...
bool * | bpar_
| The bool parameters. More...
int * | ipar_
| The integer parameters. More...
double * | dpar_
| The double parameters. More...
std::string * | spar_
| The string (actually, std::string) parameters. More...
int | numSa_
| The "vector of string" parameters. More...
std::vector< std::string > * | sapar_
| The keyword, parameter pairs. More...

## Detailed Description

Definition at line 26 of file KnapParams.h.

## Member Enumeration Documentation

enum KnapParams::chrParams

Character parameters.

All of these variable are used as booleans (ture = 1, false = 0).

Enumerator
chrDummy |
endOfChrParams |

Definition at line 30 of file KnapParams.h.

enum KnapParams::intParams

Integer paramters.

Enumerator
intDummy |
endOfIntParams |

Definition at line 38 of file KnapParams.h.

enum KnapParams::dblParams

Double parameters.

Enumerator
dblDummy |
endOfDblParams |

Definition at line 45 of file KnapParams.h.

enum KnapParams::strParams

String parameters.

Enumerator
strDummy |
endOfStrParams |

Definition at line 52 of file KnapParams.h.

enum KnapParams::strArrayParams

There are no string array parameters.

Enumerator
strArrayDummy |
endOfStrArrayParams |

Definition at line 59 of file KnapParams.h.

## Constructor & Destructor Documentation

KnapParams::KnapParams | ( |  | ) |
| inline

The default constructor creates a parameter set with from the template argument structure.

The keyword list is created and the defaults are set.

Definition at line 71 of file KnapParams.h.

## Member Function Documentation

virtual void KnapParams::createKeywordList | ( |  | ) |
| virtual

Method for creating the list of keyword looked for in the parameter file.

Implements AlpsParameterSet.

virtual void KnapParams::setDefaultEntries | ( |  | ) |
| virtual

Method for setting the default values for the parameters.

Implements AlpsParameterSet.

char KnapParams::entry | ( | const chrParams | key | ) | const
| inline

Definition at line 115 of file KnapParams.h.

int KnapParams::entry | ( | const intParams | key | ) | const
| inline

Definition at line 118 of file KnapParams.h.

double KnapParams::entry | ( | const dblParams | key | ) | const
| inline

Definition at line 121 of file KnapParams.h.

const std::string& KnapParams::entry | ( | const strParams | key | ) | const
| inline

Definition at line 124 of file KnapParams.h.

const std::vector<std::string>& KnapParams::entry | ( | const strArrayParams | key | ) | const
| inline

Definition at line 127 of file KnapParams.h.

void KnapParams::setEntry | ( | const chrParams | key,
|  | const char * | val
| ) |  |
| inline

char* is true(1) or false(0), not used

Definition at line 132 of file KnapParams.h.

void KnapParams::setEntry | ( | const chrParams | key,
|  | const char | val
| ) |  |
| inline

char is true(1) or false(0), not used

Definition at line 135 of file KnapParams.h.

void KnapParams::setEntry | ( | const chrParams | key,
|  | const bool | val
| ) |  |
| inline

This method is the one that ever been used.

Definition at line 138 of file KnapParams.h.

void KnapParams::setEntry | ( | const intParams | key,
|  | const char * | val
| ) |  |
| inline

Definition at line 141 of file KnapParams.h.

void KnapParams::setEntry | ( | const intParams | key,
|  | const int | val
| ) |  |
| inline

Definition at line 144 of file KnapParams.h.

void KnapParams::setEntry | ( | const dblParams | key,
|  | const char * | val
| ) |  |
| inline

Definition at line 147 of file KnapParams.h.

void KnapParams::setEntry | ( | const dblParams | key,
|  | const double | val
| ) |  |
| inline

Definition at line 150 of file KnapParams.h.

void KnapParams::setEntry | ( | const strParams | key,
|  | const char * | val
| ) |  |
| inline

Definition at line 153 of file KnapParams.h.

void KnapParams::setEntry | ( | const strArrayParams | key,
|  | const char * | val
| ) |  |
| inline

Definition at line 156 of file KnapParams.h.

void KnapParams::pack | ( | AlpsEncoded & | buf | ) |
| inline virtual

Pack the parameter set into the buffer (AlpsEncoded is used as buffer Here).

Reimplemented from AlpsParameterSet.

Definition at line 165 of file KnapParams.h.

void KnapParams::unpack | ( | AlpsEncoded & | buf | ) |
| inline virtual

Unpack the parameter set from the buffer.

Reimplemented from AlpsParameterSet.

Definition at line 178 of file KnapParams.h.

The documentation for this class was generated from the following file:

- /tmp/CHiPPS-Blis-0.94.3/Alps/examples/Knap/KnapParams.h